Subject: Re: [PATCH 1/2] powerpc: add hugepagesz boot-time parameter

From: Arnd Bergmann <[email-masked]>
Date: Wed, 28 Nov 2007 17:30:40 +0100

On Wednesday 28 November 2007, Mel Gorman wrote:
> On (28/11/07 08:26), Arnd Bergmann didst pronounce:
> > On Wednesday 28 November 2007, Jon Tollefson wrote:
> > > This patch adds the hugepagesz boot-time parameter for ppc64 that lets 
> > > you pick the size for your huge pages.  The choices available are 64K 
> > > and 16M.  It defaults to 16M (previously the only choice) if nothing or 
> > > an invalid choice is specified.  Tested 64K huge pages with the 
> > > libhugetlbfs 1.2 release with its 'make func' and 'make stress' test 
> > > invocations.
> > 
> > How hard would it be to add the 1MB page size that some CPUs support
> > as well? On systems with small physical memory like the PS3, that
> > sounds very useful to me.
> > 
> 
> Does the PS3 support 1M pages in hardware? When I last looked, the magic
> ibm,segment-page-sizes file that described the supported pagesizes was
> missing from the device tree. In this situation, the default sizes
> become 4K and 16M because no other ones are advertised.

I think you can select the page size using a hypercall on the PS3.
The CPU supports any two of (64k, 1M, 16M) simultaneously.

	Arnd <><